## Script (Python) "collector_add_issue.py"
##parameters=properties, upload=None, reference=None, email_submission=None
##title=Submit a Request

from Products.PythonScripts.standard import url_quote_plus
from zLOG import LOG, DEBUG
from AccessControl import getSecurityManager

LOG("CMFCollectorNG::add_issue", DEBUG, "Props: %s" % properties)
LOG("CMFCollectorNG::add_issue", DEBUG, "Emailsubmission: %s" % email_submission)

# Securitychecks for email submissions
if email_submission is not None:   # invoked through email submission

    if not context.email_submissions:
        context.REQUEST.RESPONSE.setStatus(401)
        return "No submissions through email allowed"

    if context.participation in ('staff', 'authenticated'):

        if email_submission.token != context.newissue_token:
            context.REQUEST.RESPONSE.setStatus(401)
            return "No valid token"

    elif context.participation=="anyone":
        pass


REQGET = context.REQUEST.get

id, err = context.add_issue(properties=properties,
                            upload=upload,
                            reference=reference)

# Remove comments below to automatically accept the issue
#if email_submission is not None:
#    ticket = getattr(context, id)
#    got = ticket.do_action('accept', "", notification=0)
       

dest = "%s/%s" % (context.absolute_url(), id)
if err:
    dest += '?portal_status_message=' + url_quote_plus(err)


if email_submission is None:
    context.REQUEST.RESPONSE.redirect(dest)
else:
    return "Issue created"
