## Script (Python) "collector_edit.py"
##parameters=properties 
##title=Configure Collector
 
from Products.PythonScripts.standard import url_quote_plus

changes = context.edit(properties)

if not changes:
    changes = context.trans("No changes")

recatalog = context.REQUEST.get('recatalog', None)
if recatalog:
    if recatalog == 1:
        context.reinstate_catalog(internal_only=1)
        changes += ", reinstated catalog, reindexed internally"
    else:
        context.reinstate_catalog(internal_only=0)
        changes += ", reinstated catalog, reindexed internally and site wide"

msg = '?portal_status_message=%s.' % url_quote_plus(changes)

if properties.has_key('participation'): target='collector_edit_form'
else: target = 'collector_staff_form'
 
context.REQUEST.RESPONSE.redirect("%s/%s%s"
                                  % (context.absolute_url(), target, msg))

