##parameters=properties,REQUEST

ids = []
IPM = context.issuePropertyManager


for item in properties.keys():
    
    f = item.split('_')
    id = '_'.join(f[:-1])
    field = f[-1]

    if not id in ids:
        ids.append( id )

for id in ids:

    print id

    prop = IPM.getPropertyById(id)

    old = prop.getDescription()
    new = properties[id + '_description']
    prop.setDescription(new)
    if old != new:
        context.transcript.addTranscriptChangeEvent('Issue description',old, new)

    old = prop.getValues()
    new = properties[id + '_values']
    prop.setValues(new)
    if old != new:
        context.transcript.addTranscriptChangeEvent('Issue values',old, new)

    old = prop.getType()
    new = properties[id + '_type']
    prop.setType(new)
    if old != new:
        context.transcript.addTranscriptChangeEvent('Issue type',old, new)

    old = prop.getDefaultValue()
    new = properties[id + '_default']
    prop.setDefaultValue(new)
    if old != new:
        context.transcript.addTranscriptChangeEvent('Issue default',old, new)

    old = prop.getMandatory()
    new =  properties.get(id + '_mandatory', 0)
    if new in ('on',1,'1'): 
        prop.setMandatory(1)
        new = 1
    else: 
        prop.setMandatory(0)
        new = 0
    if old != new:
        context.transcript.addTranscriptChangeEvent('Issue mandatory',old, new)

    old = prop.getUsed()
    new =  properties.get(id + '_used', 0)
    if new in ('on',1,'1'): 
        prop.setUsed(1)
        new = 1
    else: 
        prop.setUsed(0)
        new = 0
    if old != new:
        context.transcript.addTranscriptChangeEvent('Issue used',old, new)


REQUEST.RESPONSE.redirect('collector_issue_properties_form?portal_status_message=Changes+saved')        

