# perform a collector search and return result as XML document

got = context.collector_search()

format = context.REQUEST.get('format','plain')

lst = ['<? xml version="1.0" encoding="iso-8859-15" ?>']

if format=='wddx':
    lst.append('<wddxPacket version="0.9">')
else:
    lst.append('<queryresult>')

for brain in got:
    ob = brain.getObject()
    id = ob.getId()

    xml = context.getIssueAsXML(id=id, preamble=0, format=format)
    lst.append(xml)

if format=='wddx':
    lst.append('</wddxPacket>')
else:
    lst.append('</queryresult>')

return '\n'.join(lst)
