##parameters=issue

# return a CSS class ID that identifies the importance of the deadline
status   = issue.status
deadline = issue.deadline
now = DateTime()
if not same_type(deadline, now):    
    deadline = DateTime(deadline)
diff = deadline - now

if not status in ['Accepted', 'Pending']: return ''

if diff > 7:
    return 'deadline_normal'
elif diff > 4:
    return 'deadline_soon'
elif diff > 2:
    return 'deadline_very_soon'
else:
    return 'deadline_reached'

