# This script is used to define the search parameters to
# build an initial view on the tracker with interesting tickets
#

uname = context.REQUEST.AUTHENTICATED_USER.getUserName()
roles = context.REQUEST.AUTHENTICATED_USER.getRolesInContext(context)

context.REQUEST.set('searching','yep')

if 'Manager' in roles or 'TrackerAdmin' in roles:
    context.REQUEST.set('status',['Pending','Accepted'])

elif 'Supporter' in roles:
    context.REQUEST.set('status',['Pending','Accepted'])
    context.REQUEST.set('supporters', [uname])

elif 'Reporter' in roles:
    context.REQUEST.set('status',['Pending','Accepted'])
    context.REQUEST.set('Creator', uname)

elif 'Authenticated' in roles:
    context.REQUEST.set('status',['Pending','Accepted'])
    

return context.default_search_form(REQUEST=context.REQUEST)

