from Products.CMFCore import CMFCorePermissions
from Products.CMFCore.CMFCorePermissions import setDefaultRoles

# Gathering Event Related Permissions into one place
ViewCollector = CMFCorePermissions.View
AddCollector = 'Add portal collector'
ManageCollector = 'Manage portal collector'
AddCollectorIssue = 'Add collector issue'
AddCollectorIssueFollowup = 'Add collector issue comment'
AddCollectorIssueReferencesUploads= 'Add collector issue references and uploads'
EditCollectorIssue = 'Edit collector issue'
EditCollectorIssueAsSupporter = 'Edit collector issue as supporter'

# Set up default roles for permissions
setDefaultRoles(AddCollector,
                ('Manager', 'Owner'))
setDefaultRoles(ManageCollector,
                ('Manager', 'TrackerAdmin', 'Owner'))
setDefaultRoles(ViewCollector,
                ('Anonymous', 'Manager','TrackerAdmin', 'Supporter', 'Reporter', 'Owner'))
setDefaultRoles(AddCollectorIssue,
                ('Anonymous', 'Manager','TrackerAdmin', 'Supporter', 'Reporter', 'Owner'))
setDefaultRoles(AddCollectorIssueFollowup,
                ('Manager', 'TrackerAdmin', 'Supporter' ))
setDefaultRoles(AddCollectorIssueReferencesUploads,
                ('Manager', 'TrackerAdmin', 'Supporter', 'Reporter'))
setDefaultRoles(EditCollectorIssue,
                ('Manager', 'TrackerAdmin', 'Supporter', 'Owner'))
setDefaultRoles(EditCollectorIssueAsSupporter,
                ('Manager', 'TrackerAdmin', 'Supporter', 'Owner'))
