## Script (Python) "collector_issue_followup.py"
##parameters=comment='', action="comment", reference=None, upload=None, assignees=None, properties=None, email_submission=None
##title=Submit a new comment.

from AccessControl import getSecurityManager
from Products.PythonScripts.standard import url_quote_plus
from zLOG import LOG, DEBUG

LOG("CMFCollectorNG::collector_issue_followup", DEBUG, "Props: %s" % properties)
LOG("CMFCollectorNG::collector_issue_followup", DEBUG, "Emailsubmission: %s" % email_submission)

REQUEST = context.REQUEST

# Securitychecks for email submissions

if email_submission is not None:   # invoked through email submission

    if not context.aq_parent.email_submissions:
        context.REQUEST.RESPONSE.setStatus(401)
        return "No submissions through email allowed"

    if email_submission.cookie != context.cookie:
        context.REQUEST.RESPONSE.setStatus(401)
        return "Wrong cookie presented"


if email_submission is not None:

    status = context.status().lower()

#    LOG("CMFCollectorNG::collector_issue_followup", DEBUG, context.submitter_email)
#    LOG("CMFCollectorNG::collector_issue_followup", DEBUG, properties.submitter_email)

## JK: uncomment here
#    if context.submitter_email == properties.submitter_email:
#        if status == 'resolved': action = 'resubmit'
#        else: action = 'comment'
#    else:
#        if status == 'accepted': action = 'resolve'
#        else: action = 'comment'

    got = context.do_action(action, comment)

else:

    got = context.do_action(action,
                            comment,
                            assignees=assignees,
                            properties=properties,
                            upload=upload,
                            reference=reference) 

destination = REQUEST['HTTP_REFERER']

if got:
    destination += '?portal_status_message=' + url_quote_plus(got)

if email_submission is None:
    context.REQUEST.RESPONSE.redirect(destination)        

else:
    return 'Followup created'
