# create some javascript code to handle subtopics

print '<script language="javascript">'
print 'ST = new Array();'

for topic, subtopics in context.getSubtopics():
    print 'ST["%s"] = new Array(%s);' % \
         (topic, ','.join([ "'%s'" % x for x in subtopics]))


print 'ST_DEFAULT="%s"\n' % context.issuePropertyManager.getPropertyById('subtopic').getDefaultValue()

print """

function select_selected(el, value) {
/* select a select option by value */

    for (num=0; num<el.options.length; num++) {
        if (el.options[num].value == value) {
        
            el.options[num].selected = 1;
        }
    }
}

function select_clear(el) {
    /* clear a select element */
    while (el.options.length) el.options[0] = null;
}

function update_subtopic(el) {
    /* update the subtopic SELECT element */

    subtopic_el = document.myform['properties.subtopic:record:string'];

    select_clear(subtopic_el);

    for(st in ST[el.value]) {
        v = ST[el.value][st];
        subtopic_el.options[st] = new Option(v, v);
    }
}

"""

print '</script>'


return printed
