##parameters=self,value=None


classes = ''

if not value: value = self.getDefaultValue()

if self.getMandatory():
    classes += 'required ' 
    ie = ''
else: 
    ie = ':ignore_empty'

if self.getHelp():  h = '(%s)' % self.getHelp()
else: h = ''

if self.getNotifyOnChange():
    change = 'onChange="javascript:%s(this)"' % self.getNotifyOnChange()
else:
    change = ''

if self.getType() == 'text':
    classes+='textfield '
    return '<input %s class="%s" type="text" size="80" name="properties.%s:record:string" value="%s"> %s  ' % \
        (change, classes, self.getId(), value, h)

elif self.getType() in ('date', 'date_international'):
    classes+='datefield '
    s = '<input %s class="%s" type="text" size="20" name="properties.%s:record:%s" value="%s"> ' % \
        (change, classes, self.getId(), self.getType(), value)

    s += '<input value="%s" type="button" onclick="javascript:popUpCalendar(this, document.myform[\'properties.%s:record:%s\'],\'dd.mm.yyyy\');" > %s' % (context.trans('Select date'), self.getId(), self.getType(), h)
    return s

elif self.getType() == 'int':
    classes+='intfield '
    return '<input %s class="%s" type="text" size="5" name="properties.%s:record:int%s" value="%s"> %s ' % \
        (change, classes, self.getId(), ie, value, h)

if self.getType() == 'float':
    classes+='floatfield '
    return '<input %s class="%s" type="float" size="5" name="properties.%s:record:float%s" value="%s"> %s ' % \
        (change, classes, self.getId(), ie, value, h)

elif self.getType() == 'textarea':
    classes+='textareafield '
    return '<textarea %s rows="5" cols="80" class="%s" name="properties.%s:record" wrap="hard">%s</textarea> %s ' % \
        (change, classes, self.getId(), value,  h)

elif self.getType() in ('select', 'select-multiple'):

    if self.getValues()[0].isdigit(): t = 'int'
    else:                             t = 'string'
        
    if self.getType() == 'select':
        classes+='selectfield '
        s = '<select %s class="%s" name="properties.%s:record:%s">\n' % (change, classes, self.getId(), t)
    else:
        classes+='selectmultiplefield '
        s = '<select %s class="%s" name="properties.%s:record:list:%s" multiple size="4">\n' % (change, classes, self.getId(), t)


    if not self.getDefaultValue():
        s += '<option value=""></option>\n'

    for k,v in self.getValuesAsList():
        print k,v

        selected = ''
        if same_type(v, []):
            if k in v: selected = 'selected'
        else:                    
            if str(k)==str(value): selected = 'selected'

        s += '<option value="%s" %s>%s</option>\n' % (k,selected, v)
    s += '</select> %s\n' % h
    return s

else:
    raise ValueError, 'unknown type: %s' % self.getType()



